<?php 
namespace App\Entities\Especie;

use App\Utils\Entity;

class Especie extends Entity
{
    protected $id;
    protected $nome;

    public static function builder() : EspecieBuilder
    {
        return (new EspecieBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }



}